{% extends 'inventory/base.html' %}

{% block title %} | Inventory {% endblock %}

{% block content %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            {% for category in category_path %}
                <div class="breadcrumb-item">
                    <a href="{% url 'parts_category' category_id=category.id %}" class="text-dark">{{ category.name }}</a>
                </div>
            {% endfor %}
        </ol>
    </nav>

    <div class="container">
        <div class="row">
            <div class="col-8">
                <div class="card my-3">
                    <div class="card-header d-flex flex-row align-items-center justify-content-between">
                        <span class="font-weight-bold">
                            {{ part.name }}
                        </span>
                        {% if perms.inventory.change_part %}
                            <a href="{% url 'admin:inventory_part_change' object_id=part.id %}" target="_blank" class="btn btn-secondary btn-sm">
                                <i class="fas fa-edit"></i>
                            </a>
                        {% endif %}
                    </div>
                    <div class="list-group list-group-flush">
                        <div class="list-group-item d-flex flex-row justify-content-between">
                            <div class="mr-3 font-weight-bold">Internal part number:</div>
                            <div>{{ part.id }}</div>
                        </div>
                        <div class="list-group-item d-flex flex-row justify-content-between">
                            <div class="mr-3 font-weight-bold">Manufacturer:</div>
                            <a href="{{ part.manufacturer.website_url }}">{{ part.manufacturer.name }}</a>
                        </div>
                        <div class="list-group-item d-flex flex-row justify-content-between">
                            <div class="mr-3 font-weight-bold">Manufacturer part number:</div>
                            <div>{{ part.manufacturer_part_number }}</div>
                        </div>
                        <div class="list-group-item d-flex flex-row justify-content-between">
                            <div class="mr-3 font-weight-bold">Datasheet:</div>
                            <a href="{{ part.datasheet }}"><i class="fas fa-file"></i></a>
                        </div>
                        <div class="list-group-item d-flex flex-row justify-content-between">
                            <div class="mr-3 font-weight-bold">Description:</div>
                            <div>{{ part.description }}</div>
                        </div>
                        <div class="list-group-item d-flex flex-row justify-content-between">
                            <div class="mr-3 font-weight-bold">Altium schematic symbol:</div>
                            <div>
                                {% if altium_symbol %}
                                    <i class="fas fa-check"></i>
                                {% else %}
                                    <i class="fas fa-times"></i>
                                {% endif %}
                            </div>
                            <div class="mr-3 font-weight-bold">Altium PCB footprint & 3D model:</div>
                            <div>
                                {% if altium_footprint %}
                                    <i class="fas fa-check"></i>
                                {% else %}
                                    <i class="fas fa-times"></i>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card my-3">
                    <div class="card-header font-weight-bold">
                        Properties
                    </div>
                    <div class="list-group list-group-flush">
                        {% for property in properties %}
                            <div class="list-group-item d-flex flex-row justify-content-between">
                                <div class="mr-3 font-weight-bold">{{ property.property.name }}:</div>
                                <div>{{ property.rendered }}</div>
                            </div>
                        {% endfor %}
                    </div>
                </div>
            </div>
            <div class="col-4">
                <div class="card my-3">
                    <div class="card-header d-flex flex-row align-items-center justify-content-between">
                        <span class="font-weight-bold">{{ part.qty_available }} in stock</span>
                        {% include 'inventory/status_badge.html' with status=part.status status_label=part.status_label %}
                    </div>
                    {% if perms.inventory.view_part_locations %}
                        <div class="list-group list-group-flush">
                            {% for part_location in part.partlocation_set.all %}
                                <div class="list-group-item">
                                    <div class="d-flex flex-row align-items-start justify-content-between">
                                        <span class="mr-2">{{ part_location.location }} {% if part_location.primary_location %}<span class="badge badge-primary">Primary</span>{% endif %}</span>
                                        <span>{{ part_location.quantity }}</span>
                                    </div>
                                    <div class="text-left">
                                        <i class="fas fa-qrcode mr-2"></i>
                                        {{ part_location.barcode }}
                                    </div>
                                </div>
                            {% endfor %}
                        </div>
                    {% endif %}
                    <div>
                        <form onsubmit="submit_form(event)" class="m-3">
                            {% csrf_token %}
                            <input type="hidden" name="part_id" value="{{ part.id }}">
                            <div class="input-group mb-3">
                                <input type="text" class="form-control" placeholder="Quantity" name="qty">
                                <div class="input-group-append">
                                    <button class="btn btn-info" name="update_part" value="add_to_cart"><i
                                            class="fas fa-cart-plus"></i></button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                {% if perms.inventory.view_part_suppliers %}
                    <div class="card my-3">
                        <div class="card-header font-weight-bold">
                            Suppliers
                        </div>
                        <div class="list-group list-group-flush">
                            {% for part_supplier in part.partsupplier_set.all %}
                                <div class="list-group-item">
                                    <div class="d-flex flex-row align-items-center justify-content-between">
                                        <a href="{{ part_supplier.supplier.website_url }}">{{ part_supplier.supplier.name }}</a>
                                        <a href="{{ part_supplier.supplier_part_url }}">{{ part_supplier.supplier_part_number }}</a>
                                    </div>
                                    <div class="text-right">${{ part_supplier.price }}</div>
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                {% endif %}
            </div>
        </div>
    </div>


    </div>
{% endblock %}
